Subject: Re: [RFC PATCH 2/4] test-tool run-command testsuite: support unit tests

From: Josh Steadmon <[email-masked]>
Date: Thu, 1 Feb 2024 14:06:46 -0800

On 2024.01.16 15:18, Junio C Hamano wrote:
> Josh Steadmon <[email-masked]> writes:
> > With these changes, you can now use test-tool to run the unit tests:
> > $ make
> > $ cd t/unit-tests/bin
> > $ ../../helper/test-tool run-command testsuite --no-run-in-shell \
> >     --no-require-shell-test-pattern
> 
> This makes me wonder why we want to do the readdir() loop ourselves.
> Instead of saying --no-require-shell-test-pattern there, wouldn't it
> be simpler to say "*" right there, and have testsuite() run the test
> programs named from the command line?

It's speculation on my part, but I wonder if it has something to do with
the number of shell tests? Google tells me that on Windows, the maximum
command line length is 8191 characters. Which is actually a fair bit
smaller than expanding the shell test list:

$ echo t????-*.sh | wc -c
25714